#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,x,a,i,d;
    d=0;
    scanf("%d%d",&n,&x);
    for(i=1; i<=n; i++)
    {
        scanf("%d",&a);
        if(a<x)
        {
            d=d+(x-a);
            x=a;
        }
        else
        {
            d=d+(a-x);
            x=a;
        }
    }
    printf("%d",d);
    return 0;
}